

/* Botón flotante */
.whatsapp-float {
  position: fixed;
  bottom: 25px;
  right: 25px;
  background-color: #25d366;
  color: white;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  cursor: pointer;
  z-index: 9999;
  transition: transform 0.3s ease;
}

.whatsapp-float:hover {
  transform: scale(1.1);
}




.wa-widget {
  position: fixed;
  right: 15px;
  bottom: 60px;
  margin: 0;
  z-index: 1000;
/*   ======= */
/*   position: fixed;
    bottom: 25px;
    right: 25px;
    background-color: #25d366;
    color: white;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    z-index: 9999;
    transition: transform 0.3s ease; */

}

.wa-widget:last-child {
  margin-right: 0;
  
}

.wa-widget.expanded {
  border-radius: 1rem;

}

.wa-widget .wa-widget-content {
  width: 360px;
  transition: all 0.25s linear;
  visibility: hidden;
  position: absolute;
  bottom: 6rem;
  opacity: 0;
  right: 0;
  z-index: -1;
}

.wa-widget .wa-widget-content.expanded {
  opacity: 1;
  visibility: visible;
/*z-index: 99; */
}

.wa-widget-toggle {
  background-image: url(../img/whatsapp.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  background-color:#25d366;
  padding: 1rem;
  margin: 0.6rem;
  height: 3rem;
  width: 3rem;
  border-radius: 9rem;
  text-align: center;
  display: inline-flex;
  align-items: center;
  position: relative;
  z-index: 9999;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  cursor: pointer;
  z-index: 9999;
  transition: transform 0.3s ease;
}

.wa-widget-toggle::before {
  content: '';
  height: 10px;
  width: 10px;
  top: 5px;
  right: 5px;
  position: absolute;
  background-color: red;
  border-radius: 10px;
}

.wa-widget-content {
  overflow: hidden;
  border-radius: .75rem;
  box-shadow: 0 0 10px 5px rgba(0, 0, 0, 0.1);
  margin: 1rem;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 15px;
}

.chat-header {
  padding: 1rem;
  display: flex;
  align-items: center;
  background-color: #095e54;
  color: white;
}

.chat-header .chat-admin-picture {
  height: 3rem;
  width: 3rem;
  margin-right: 1rem;
  position: relative;
}

.chat-header .chat-admin-picture img {
  width: 100%;
  height: 100%;
}

.chat-header .chat-admin-picture::before {
  content: '';
  height: 7px;
  width: 7px;
  border-radius: 7px;
  background-color: #4fce5d;
  border: 2px solid #095e54;
  position: absolute;
  bottom: 2.333333px;
  right: 2.333333px;
}

.chat-header h4,
.chat-header p {
  margin: .2rem;
}

.chat-content {
  padding: 1rem;
  background-color: #d1ecd4;
}

.chat-content .chat-admin-picture {
  height: 2rem;
  width: 2rem;
  margin-right: .5rem;
}

.chat-item {
  display: inline-flex;
  align-items: flex-end;
}

.chat-item p {
  margin: 0 2rem .5rem 0;
  padding: 1rem;
  background-color: white;
  border-radius: 1rem;
}

.chat-item p:first-child {
  border-top-left-radius: 0;
}

.chat-form {
  background-color: white;
  padding: .25rem;
}

.chat-form textarea,
.chat-form input {
  width: 100%;
  padding: .75rem 1rem;
  background-color: inherit;
  font-family: inherit;
  resize: none;
  margin-bottom: .25rem;
  transition: all 0.25s linear;
}

.chat-form textarea,
.chat-form input,
.chat-form input:focus {
  border: 1px solid transparent;
  outline: 0;
  border-radius: .5rem;
}

.chat-form .chat-send {
  border: 0;
  outline: 0;
  padding: .75rem;
  width: 100%;
  font-weight: bold;
  font-size: 1.1rem;
  background-color: #4fce5d;
  color: white;
  cursor: pointer;
  border-radius: .5rem;
}

.chat-form .required {
  border: 1px solid rgba(255, 0, 0, 0.25);
  background-color: rgba(255, 0, 0, 0.1);
}

@media (max-width: 460px) {
  .wa-widget {
    width: 100%;
  }
  .wa-widget-toggle {
    float: right;
    margin:12rem;
     left: 45%;/*40% */
     top: 150px;
  }
  .wa-widget-content {
    width: auto;
    left: 7%;/*1rem*/
    right:5%;/*1rem*/
    display: inline-block;
  align-content: center;
  }
}
